Section "ServerLayout"
	Identifier     "YazzY's FreeBSD Laptop"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
        InputDevice    "USB-mouse"

EndSection

Section "ServerFlags"
        Option "OffTime"        "5"	# Turns off backlight
	Option "AllowMouseOpenFail"	"true"
	Option  "Xinerama" 	"Off"	# Enable or disable Xinerama extention.
# 	Option "DontZoom"		# Disallows the use of the Ctrl+Alt+Keypad-Plus and Ctrl+Alt+Keypad-Minus sequences.
#	Option "DontZap"		# Disallows the use of the Ctrl+Alt+Backspace sequence
EndSection

Section "Files"
	RgbPath      "/usr/X11R6/lib/X11/rgb"
	ModulePath   "/usr/X11R6/lib/modules"
	FontPath     "/usr/X11R6/lib/X11/fonts/misc/"
	FontPath     "/usr/X11R6/lib/X11/fonts/TTF/"
	FontPath     "/usr/X11R6/lib/X11/fonts/Type1/"
	FontPath     "/usr/X11R6/lib/X11/fonts/CID/"
	FontPath     "/usr/X11R6/lib/X11/fonts/75dpi/"
	FontPath     "/usr/X11R6/lib/X11/fonts/100dpi/"
EndSection

Section "Module"
	Load  "extmod"
	Load  "glx"
	Load  "dri"
	Load  "dbe"
	Load  "record"
	Load  "xtrap"
	Load  "type1"
	Load  "freetype"
        Load  "speedo"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
#        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "no"
        Option      "CoreKeyboard"
        Option      "XkbVariant" "nodeadkeys"
        Option      "AutoRepeat" "500 30"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
#	Option	    "Protocol" "ExplorerPS/2"
        Option      "Protocol" "auto"
        Option      "Device" "/dev/sysmouse"
        Option      "Emulate3Buttons" "true"
        Option      "Emulate3Timeout" "80" 
	Option 	    "EmulateWheel" "on"
	Option      "EmulateWheelButton" "2"
        Option      "ZAxisMapping" "4 5"
        Option      "Buttons" "3"
        Option      "CorePointer"   
EndSection

Section "InputDevice"
        Identifier  "USB-mouse"
        Driver      "mouse"
        Option      "Protocol" "auto"
        Option      "Buttons"  "5"
        Option      "SendCoreEvents"  "true"
        Option      "Device" "/dev/usb0"
        Option      "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
	#DisplaySize	  340   270	# mm
	Identifier   "LCD"
	VendorName   "Hansol"
	ModelName    ""
 ### Uncomment if you don't want to default to DDC:
#	HorizSync    30.0 - 83.0
#	VertRefresh  56.0 - 75.0
	Option	    "DPMS"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
        ### [arg]: arg optional
        #Option     "NoAccel"                   # [<bool>]
        #Option     "SWcursor"                  # [<bool>]
        #Option     "ColorKey"                  # <i>
        #Option     "CacheLines"                # <i>
        #Option     "Dac6Bit"                   # [<bool>]
        Option     "DRI"                       # [<bool>]
        #Option     "NoDDC"                     # [<bool>]
        #Option     "ShowCache"                 # [<bool>]
        #Option     "XvMCSurfaces"              # <i>
        #Option     "PageFlip"                  # [<bool>]
        Identifier  "Card0"
        Driver      "i810"
        VendorName  "Intel Corp."
        BoardName   "82852/855GM Integrated Graphics Device"
        BusID       "PCI:0:2:0"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "LCD"
       	DefaultDepth    24
        DefaultFbBPP    32
	SubSection "Display"
		Viewport   0 0
		Depth     16
		Modes	"1024x768"
	EndSubSection
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes   "1024x768" "1280x1024"
        EndSubSection
EndSection

Section "DRI"
        Mode         0666
EndSection
